Check credit per service

Encoding : UTF-8

Authentication

Your "api-key" and "api-login" identifiers must be added in the headers.

Definition

This web service allows you to consult the quantity of credits (unit shot) that you have for each type of service/product we offer, and for the countries (optional) that you specify in the request.

Special parameters

NameTypeDescription
country_codesarrayList of country codes you want your credit to be displayed for.

How Our API Deals With Incorrect Data

The API we provide will try to interpret your request as best it can. If a parameter has the wrong value, we will try to understand it anyway. If the parameter has the wrong type, we will try to format it as best we can. Thus, we have determined default values, which are indicated in our documentation. If a parameter could not be recognized or "fixed", we will ignore it, but your request will be sent.
If one of your parameters does not have the right value, or does not have the right type, we will try to:

  • "cast" (convert) it so that it can be understood.
  • format it (delete prohibited characters for example)

Server Response Example in JSON

Success

{
   "ES" : {
     "premium_sms": 5,
     "voice_sms": 0,
     "low_cost_sms": 0,
     "hlr": 87
   },
   "FR": {
     "premium_sms": 10,
     "voice_sms": 0,
     "low_cost_sms": 21,
     "hlr": 87
   },
   "GB": {
     "premium_sms": 5,
     "voice_sms": 0,
     "low_cost_sms": 0,
     "hlr": 87
   }
}
Query Params
string
Defaults to null
Headers
string
required

Your api login from your account

string
required

Your api key from your account

Responses

400

Bad request.

401

Unauthorized.

403

Forbidden to view.

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json